<?xml version="1.0" encoding="UTF-8"?>
<web-app version="2.5" xmlns="http://java.sun.com/xml/ns/javaee" xmlns:web="http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-app_2_5.xsd">
    <display-name>pmarlen-webrf3</display-name>
    <session-config>
        <session-timeout>120</session-timeout>
    </session-config>
    <welcome-file-list>
        <welcome-file>index.jsp</welcome-file>
    </welcome-file-list>
    <servlet>
        <servlet-name>Faces Servlet</servlet-name>
        <servlet-class>javax.faces.webapp.FacesServlet</servlet-class>
        <load-on-startup>1</load-on-startup>
    </servlet>
    <servlet>
        <servlet-name>GenerarFactura</servlet-name>
        <servlet-class>com.pmarlen.web.servlet.GenerarFactura</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>GenerarPDFPedidoVenta</servlet-name>
        <servlet-class>com.pmarlen.web.servlet.GenerarPDFPedidoVenta</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>GenerarXMLCFD</servlet-name>
        <servlet-class>com.pmarlen.web.servlet.GenerarXMLCFD</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>DynamicImagesProducto</servlet-name>
        <servlet-class>com.pmarlen.web.servlet.DynamicImagesProducto</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>GetMultimedio</servlet-name>
        <servlet-class>com.pmarlen.web.servlet.RenderUploadedImage</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>keepAppAlive</servlet-name>
        <servlet-class>com.pmarlen.web.servlet.keepAppAlive</servlet-class>
    </servlet>
<!--
    <servlet>
        <servlet-name>CXFServlet</servlet-name>
        <display-name>CXF Servlet</display-name>
        <servlet-class>org.apache.cxf.transport.servlet.CXFServlet</servlet-class>
        <load-on-startup>4</load-on-startup>
    </servlet>
-->
    <servlet>
        <servlet-name>ConsultaPrecio</servlet-name>
        <servlet-class>com.pmarlen.web.servlet.ConsultaPrecio</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>Logout</servlet-name>
        <servlet-class>com.pmarlen.web.servlet.Logout</servlet-class>
    </servlet>
<!--
    <servlet-mapping>
        <servlet-name>CXFServlet</servlet-name>
        <url-pattern>/services/*</url-pattern>
    </servlet-mapping>
-->
    <servlet-mapping>
        <servlet-name>GetMultimedio</servlet-name>
        <url-pattern>/multimedio/getMultimedio</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>DynamicImagesProducto</servlet-name>
        <url-pattern>/dynimages/producto</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>Faces Servlet</servlet-name>
        <url-pattern>*.jsf</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>GenerarFactura</servlet-name>
        <url-pattern>/docs/facturas/*</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>GenerarPDFPedidoVenta</servlet-name>
        <url-pattern>/docs/notas/*</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>GenerarXMLCFD</servlet-name>
        <url-pattern>/docs/xml/*</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>keepAppAlive</servlet-name>
        <url-pattern>/ka</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>ConsultaPrecio</servlet-name>
        <url-pattern>/ConsultaPrecio</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>Logout</servlet-name>
        <url-pattern>/logout</url-pattern>
    </servlet-mapping>
    <context-param>
        <param-name>contextConfigLocation</param-name>
        <param-value>classpath:com/pmarlen/spring/config/applicationContext.xml</param-value>
    </context-param>
    <context-param>
        <param-name>org.richfaces.fileUpload.maxRequestSize</param-name>
        <param-value>10000000</param-value>
    </context-param>
    <context-param>
        <param-name>org.richfaces.fileUpload.createTempFiles</param-name>
        <param-value>true</param-value>
    </context-param>
    <listener>
        <listener-class>org.springframework.web.context.ContextLoaderListener</listener-class>
    </listener>
    <listener>
        <listener-class>org.springframework.web.context.request.RequestContextListener</listener-class>
    </listener>
    <listener>
        <description>ServletContextListener, HttpSessionListener</description>
        <listener-class>com.pmarlen.web.servlet.ContextAndSessionListener</listener-class>
    </listener>
    <context-param>
        <param-name>javax.faces.DEFAULT_SUFFIX</param-name>
        <param-value>.xhtml</param-value>
    </context-param>
    <context-param>
        <param-name>javax.faces.CONFIG_FILES</param-name>
        <param-value>/WEB-INF/faces-config.xml</param-value>
    </context-param>
    <context-param>
        <param-name>com.sun.faces.validateXml</param-name>
        <param-value>true</param-value>
    </context-param>
    <context-param>
        <param-name>javax.faces.STATE_SAVING_METHOD</param-name>
        <param-value>server</param-value>
    </context-param>
    <context-param>
        <param-name>facelets.BUILD_BEFORE_RESTORE</param-name>
        <param-value>true</param-value>
    </context-param>
    <context-param>
        <param-name>facelets.DEVELOPMENT</param-name>
        <param-value>true</param-value>
    </context-param>
    <context-param>
        <param-name>facelets.SKIP_COMMENTS</param-name>
        <param-value>true</param-value>
    </context-param>
    <context-param>
        <param-name>org.ajax4jsf.VIEW_HANDLERS</param-name>
        <param-value>com.sun.facelets.FaceletViewHandler</param-value>
    </context-param>
    <filter>
        <display-name>RichFaces Filter</display-name>
        <filter-name>richfaces</filter-name>
        <filter-class>org.ajax4jsf.Filter</filter-class>
        <init-param>
            <param-name>createTempFiles</param-name>
            <param-value>false</param-value>
        </init-param>
        <init-param>
            <param-name>maxRequestSize</param-name>
            <param-value>52428800</param-value>
        </init-param>
    </filter>
    <filter-mapping>
        <filter-name>richfaces</filter-name>
        <servlet-name>Faces Servlet</servlet-name>
        <dispatcher>REQUEST</dispatcher>
        <dispatcher>FORWARD</dispatcher>
        <dispatcher>INCLUDE</dispatcher>
    </filter-mapping>
    <context-param>
        <param-name>org.richfaces.SKIN</param-name>
        <param-value>classic</param-value>
    </context-param>
    <security-constraint>
        <display-name>Security Data Constraint</display-name>
        <web-resource-collection>
            <web-resource-name>Web Security Data</web-resource-name>
            <description>This data are all the pages in the application</description>
            <url-pattern>/pages/*</url-pattern>
            <http-method>GET</http-method>
            <http-method>POST</http-method>
        </web-resource-collection>
        <web-resource-collection>
            <web-resource-name>Dynamic Documents</web-resource-name>
            <description>Dynamic Documents</description>
            <url-pattern>/docs/*</url-pattern>
            <http-method>GET</http-method>
        </web-resource-collection>
        <web-resource-collection>
            <web-resource-name>Multimedio</web-resource-name>
            <description>Multimedio</description>
            <url-pattern>/multimedio/*</url-pattern>
            <http-method>GET</http-method>
        </web-resource-collection>
        <auth-constraint>
            <description>Usuario de Sistema a todas las paginas entra</description>
            <role-name>pmarlenuser</role-name>
        </auth-constraint>
    </security-constraint>
    <login-config>
        <auth-method>FORM</auth-method>
        <form-login-config>
            <form-login-page>/loginRealm.jsp</form-login-page>
            <form-error-page>/loginRealm.jsp?error=ok</form-error-page>
        </form-login-config>
    </login-config>
    <security-role>
        <description>Usuario de Sistema</description>
        <role-name>pmarlenuser</role-name>
    </security-role>
    <error-page>
        <exception-type>javax.faces.application.ViewExpiredException</exception-type>
        <location>/sessionExpiredError.jsp</location>
    </error-page>
    <error-page>
        <exception-type>java.lang.Throwable</exception-type>
        <location>/error.jsp</location>
    </error-page>
    <error-page>
        <error-code>500</error-code>
        <location>/error.jsp</location>
    </error-page>
    <resource-ref>
        <description>DB Connection</description>
        <res-ref-name>jdbc/PMARLEN_DB_TEST_DS</res-ref-name>
        <res-type>javax.sql.DataSource</res-type>
        <res-auth>Container</res-auth>
    </resource-ref>
</web-app>
